Skip to main content

List Variations

Get all variations and their properties for a product.

Endpointโ€‹

GET /v1/products/{id}/variations

Authenticationโ€‹

Requires an API key with the products:read scope.

Parametersโ€‹

ParameterTypeLocationDescription
idintegerpathThe product ID

Responseโ€‹

Success (200 OK)โ€‹

{
"data": {
"product_id": 1,
"has_variations": true,
"properties": [
{
"id": 1,
"name": "Size"
},
{
"id": 2,
"name": "Color"
}
],
"variations": [
{
"id": 1,
"sku": "BIKE-L-RED",
"display_name": "BIKE-L-RED",
"description": "Riders 5'9\" and up",
"image": "https://example.com/images/bike-large-red.jpg",
"values": [
{
"property_id": 1,
"property_name": "Size",
"value": "Large"
},
{
"property_id": 2,
"property_name": "Color",
"value": "Red"
}
],
"inventory_count": 5
},
{
"id": 2,
"sku": "BIKE-M-BLUE",
"display_name": "BIKE-M-BLUE",
"description": null,
"image": null,
"values": [
{
"property_id": 1,
"property_name": "Size",
"value": "Medium"
},
{
"property_id": 2,
"property_name": "Color",
"value": "Blue"
}
],
"inventory_count": 3
}
]
},
"meta": {
"request_id": "req_abc123",
"timestamp": "2026-02-01T10:00:00+00:00"
}
}

No Variationsโ€‹

If the product doesn't have variations enabled:

{
"data": {
"product_id": 1,
"has_variations": false,
"properties": [],
"variations": []
},
"meta": {
"request_id": "req_abc123",
"timestamp": "2026-02-01T10:00:00+00:00"
}
}

Example Requestโ€‹

curl -X GET "https://app.equipdash.com/api/v1/products/1/variations" \
-H "Authorization: Bearer YOUR_API_KEY"

Errorsโ€‹

StatusCodeDescription
401authentication_requiredNo API key provided
403insufficient_scopeAPI key lacks products:read scope
404resource_not_foundProduct not found